/* INFO TOPO */

#info_header {
    width: 100%;
    height: 50px;
    color: var(--color-subheader-text);
    background-color: var(--color-subheader-bg);
}

#social_topo,
#contatos_topo {
    height: 50px;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;    
}

#social_topo a,
#contatos_topo a { color: var(--color-subheader-link); }

#contatos_topo i {font-size: 12px;}

/* INFO TOPO */


.menuM02 {
    background-color: var(--color-header-bg);
    padding: 0px 20px 0px 40px;
    border-radius: 200px;
    margin: 20px auto;
}

/* BOTAO TOPO */

.btn_topo a {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    color: var(--btn-header-text);
    background-color: var(--btn-header-background);
    font-size: 16px;
    padding: 10px 20px;
    border-radius: 100px;
}

/* BOTAO TOPO */

.header {
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: 999999;
    background: transparent;
}


/*  */
.header .logoDesktop {
    /* max-width: 220px;
    height: 74px;
    display: flex;
    align-items: center; */
    width: 100px;
    height: 100px;
}

/* .header .logoDesktop img {
    display: block;
    max-width: 100%;
    max-height: 74px;
    width: auto;
    height: auto;
} */

.header .logoMobile {
    display: none;
}
/*  */


/* LISTA DO MENU */
.nav .list_menu {
    list-style: none;
    display: flex;
    align-items: center;
    color: var(--color-header-text);
}

.nav .list_menu li {
    position: relative;
}

.nav .list_menu li > a {
    color: var(--color-header-link);
    font-size: 16px;
    padding: 0 1rem;
    height: 80px;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.nav .list_menu li > a:hover {
    color: color-mix(in srgb, var(--color-header-link) 70%, black);
}

.nav .submenu {
    width: 0;
    height: 0;
    overflow: hidden;
    position: absolute;    
    padding: 0;
    margin: 0;
    z-index: 999;
    opacity: 0;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    visibility: hidden;    
    right: 0;
    top: 80px;
    background-color: var(--color-header-bg);
    border-top: 0;
}

.nav .submenu li {
    display: block;
}

.nav .submenu li a {
    color: var(--color-header-link);
    display: block;
    padding: 5px 20px;
    height: auto;
}

.nav .submenu li a:hover {
    color: color-mix(in srgb, var(--color-header-link) 70%, black);
}

.nav .list_menu li:hover .submenu {
    width: 230px;
    height: auto;
    display: block;
    padding: 15px 0;
    opacity: 1; 
    visibility: visible; 
    z-index: 9999999999999;
}

/* LISTA DO MENU */



.menu_accordion::after {
    content: " ";
    width: 5px;
    height: 5px;
    border-radius: 0 0 3px 0;
    border-right: 2px solid var(--color-header-link);
    border-bottom: 2px solid var(--color-header-link);
    transform: rotate(45deg);
    margin: -3px 0 0 10px; 
}

.hamburger {
    display: none;
    cursor: pointer;
    font-size: 2rem;
}

.overlay {
    position: fixed; 
    inset: 0;
    z-index: 99999;
    background: rgba(0,0,0,0.4);
    -webkit-transition: all 500ms ease;
    transition: all 500ms ease;
    -webkit-transform: translate3d(-100%, 0, 0);
    -ms-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
}



@media (max-width: 1024px) {  

    .header {
        width: 100%;
        padding: 5px 5%;
        position: static;
        z-index: 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
        background: var(--color-header-bg);
    }

    .menuM02 {
        padding: 0;
        border-radius: 0;
    }


    /*  */
    .header .logoDesktop {
        /* max-width: 160px;
        height: 63px;
        margin: 0px auto 20px auto; */
        width: 100px;
        height: 100px;
        margin: 0px auto 20px auto;
    }

    /* .header .logoDesktop img {
        max-height: 63px;
    } */


    .header .logoMobile {
        /* max-width: 200px;
        height: 100px; */
        width: 100px;
        height: 100px;
        display: flex;
        align-items: center;
    }

    /* .header .logoMobile img {
        display: block;
        max-width: 100%;
        max-height: 100px;
        width: auto;
        height: auto;
    } */
    /*  */

    .sidebar {
        width: 100%;
        max-width: 300px;
        left: -100%;
        position: fixed;
        background-color: var(--color-header-bg);
        height: 100vh;
        overflow: auto;
        z-index: 999999;
        top: 0;
        -webkit-transition: all 500ms ease;
        transition: all 500ms ease;
        -webkit-transform: translate3d(-100%, 0, 0);
        -ms-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
        display: flex;
        flex-direction: column;
    }

    .sidebar .flex {
        display: block;
    }


    .sidebar.open {
        left: 0;
        -webkit-transition: all 500ms ease;
        transition: all 500ms ease;
        -webkit-transform: translate3d(0, 0, 0);
        -ms-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }

    .overlay.active {
        -webkit-transform: translate(0, 0); 
        -ms-transform: translate(0, 0); 
        transform: translate(0, 0);       
    }

    .nav .list_menu {
        display: block;
        border-top: 1px solid #00000028;
    }

    .nav .list_menu li > a {
        padding: 10px 0;
        height: auto;
        display: block;
        display: flex;
        align-items: center;
    }

    .nav .submenu {
        width: 100%;
        height: auto;
        max-height: 0;
        overflow: hidden;
        position: static;    
        padding: 0 15px !important;
        opacity: 1;
        visibility: visible;
        display: block;
        border-radius: 0;
        box-shadow: none;
        border: 0;
    }

    .nav .submenu li:first-child {
        padding: 15px 0 0 0;
    }
    .nav .submenu li:last-child {
        padding: 0 0 15px 0;
    }
    
    .nav .submenu li a {
        font-size: 14px;
        display: block;
        padding: 0;
        height: auto;
        border: 0;
        padding: 5px 0;
    }
    
    .nav .list_menu li:hover .submenu {
        width: 100%;
        height: auto;
        opacity: 1; 
        visibility: visible; 
        position: static;
        padding: 0;
    }

    .hamburger {
        display: block;
        color: var(--color-header-text);
    }

    

    /* INFO TOPO */

    #info_header {
        width: 100%;
        height: auto;
        order: 2;
        padding: 5% 0;
    }

    #info_header .container {overflow: hidden;}

    #social_topo,
    #contatos_topo {
        height: auto;
        display: block;
    }

    #contatos_topo {
        margin-top: 30px;
    }

    #contatos_topo a {
        display: flex;
        align-items: center;
        gap: 5px;
        margin: 10px 0;
        font-size: 14px;
    }

    /* INFO TOPO */

    .btn_topo {
        margin-top: 20px;
    }
}